#
# Docker NodeJS Typescript Starter
# Example Docker Compose file
#

# For more information about the directives defined here:
# https://docs.docker.com/compose/compose-file/
# https://github.com/venturachrisdev/docker-nodejs-typescript-starter/blob/f7a040449973d77f12a73582b42177e06282e266/docker-compose.yml

# Docker compose file version
version: "3.6"



services:
  # Web App #
  backend:
    restart: unless-stopped
    build:
      context: ./backend
    env_file:
      - .env
    ports:
      - "8090:8089"
    depends_on:
      - db

  frontend:
    restart: unless-stopped
    build:
      context: ./frontend
      args:
        # need to pass in the location of teh frontend
        REACT_APP_BACKEND_ADDRESS: ${REACT_APP_BACKEND_ADDRESS}
    ports:
      - "8091:8080"

  # DB
  db:
    restart: unless-stopped
    image: postgres:13-alpine
    env_file:
      - .env
    ports:
      - "5434:5432"
    volumes:
      - ./data/database:/var/lib/postgresql/data

